﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;
using System.Configuration;
using System.Data.OleDb;

public partial class ExportWHDG : System.Web.UI.Page
{
    private OleDbCommand Commande = new OleDbCommand();
    private OleDbDataAdapter myAdapter = new OleDbDataAdapter();
    public DataSet Data = new DataSet();

    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = WebHierarchicalDataSource1;
        WebDataGrid1.InitialDataBindDepth = 2;
        WebDataGrid1.DataKeyFields = "CategoryID";
        WebDataGrid1.Key = "Categories";
        WebDataGrid1.DataBind();
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        this.eExporter.DownloadName = "TestDeviceFilter.xls";
        this.eExporter.DataExportMode = Infragistics.Web.UI.GridControls.DataExportMode.DataInGridOnly;
        //this.eExporter.WorkbookFormat = Infragistics.Documents.Excel.WorkbookFormat. )Enum.Parse(typeof(Infragistics.Documents.Excel.WorkbookFormat), this.rblExcelFormat.SelectedValue);
        //bool singleGridPerSheet = (this.rblSheets.SelectedValue == "separate") ? true : false;
        this.eExporter.Export(true, this.WebDataGrid1);
    }

    protected void WebHierarchicalDataSource1_Init(object sender, EventArgs e)
    {
        string connString = @"Provider=Microsoft.Jet.OLEDB.4.0;" +
        @"Data Source=|DataDirectory|\Northwind.mdb;" +
        @"Persist Security Info=True";

        Commande.Connection = new OleDbConnection(connString);
        Commande.CommandTimeout = 120;
        myAdapter.SelectCommand = Commande;
        Commande.CommandText = "SELECT [CategoryID], [CategoryName], [Description] FROM [Categories]";
        myAdapter.Fill(Data, "Categories");

        Commande.CommandText = "SELECT [ProductID], [ProductName], [CategoryID], [UnitPrice] FROM [Products]";
        myAdapter.Fill(Data, "Products");

        var query = (from Products in Data.Tables["Products"].AsEnumerable() join Categories in Data.Tables["Categories"].AsEnumerable() on Products.Field<String>("B1") equals Categories.Field<String>("A1") select new { A1 = Categories.Field<String>("A1"), A2 = Categories.Field<String>("A2") }).Distinct();

        if (WebHierarchicalDataSource1.DataViews.FindByID("Categories") == null)
        {
            Infragistics.Web.UI.DataSourceControls.DataView v1 = new Infragistics.Web.UI.DataSourceControls.DataView();
            v1.ID = "Categories";
            WebHierarchicalDataSource1.DataViews.Add(v1);
        }
        if (WebHierarchicalDataSource1.DataViews.FindByID("Products") == null)
        {
            Infragistics.Web.UI.DataSourceControls.DataView v2 = new Infragistics.Web.UI.DataSourceControls.DataView();
            v2.ID = "Products";
            WebHierarchicalDataSource1.DataViews.Add(v2);
        }
        WebHierarchicalDataSource1.DataViews.FindByID("Categories").DataSource = Data.Tables["Categories"];
        WebHierarchicalDataSource1.DataViews.FindByID("Products").DataSource = Data.Tables["Products"];

        Infragistics.Web.UI.DataSourceControls.DataRelation dr = new Infragistics.Web.UI.DataSourceControls.DataRelation();

        dr.ParentDataViewID = "Categories";
        dr.ParentColumns = new string[] { "CategoryID" };
        dr.ChildDataViewID = "Products";
        dr.ChildColumns = new string[] { "CategoryID" };
        WebHierarchicalDataSource1.DataRelations.Add(dr);
    }
}